Skip to main content
`Ctrl`+`K`

# PetscBagDestroy

Destroys a `PetscBag`

## Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagDestroy(PetscBag *bag)

Collective

## Input Parameter

- bag - the bag of values

## See Also

`PetscBag`, `PetscBagSetName()`, `PetscBagView()`, `PetscBagLoad()`, `PetscBagGetData()` `PetscBagRegisterReal()`, `PetscBagRegisterInt()`, `PetscBagRegisterBool()`, `PetscBagRegisterScalar()` `PetscBagSetFromOptions()`, `PetscBagCreate()`, `PetscBagGetName()`, `PetscBagRegisterEnum()`

## Level

beginner

## Location

src/sys/classes/bag/bag.c

## Examples

src/snes/tutorials/ex36.c
src/dm/tutorials/ex7.c
src/ts/tutorials/ex76.c
src/snes/tutorials/ex62.c
src/sys/tutorials/ex5.c
src/snes/tutorials/ex17.c
src/snes/tutorials/ex69.c
src/sys/tutorials/ex5f90.F90
src/snes/tutorials/ex71.c
src/snes/tutorials/ex76.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages